# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring specific app values (TO CHANGE)
bin_name_x86 = "vcredist_x86.exe"
bin_name_x64 = "vcredist_x64.exe"
url_dl_x86 = "https://download.microsoft.com/download/8/B/4/8B42259F-5D70-43F4-AC2E-4B208FD8D66A/vcredist_x86.exe"
url_dl_x64 = "https://download.microsoft.com/download/8/B/4/8B42259F-5D70-43F4-AC2E-4B208FD8D66A/vcredist_x64.exe"


def update_package():
    print("Update/Download package content from upstream binary sources")

    # Getting proxy informations from WAPT settings
    proxy = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxy = {"http": proxywapt, "https": proxywapt}

    # Downloading binaries
    if not isfile(bin_name_x86):
        print("Downloading " + bin_name_x86)
        wget(url_dl_x86, bin_name_x86, proxies=proxy)

    if not isfile(bin_name_x64):
        print("Downloading " + bin_name_x64)
        wget(url_dl_x64, bin_name_x64, proxies=proxy)
